{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} All employees {% endblock title %}
{% block css %}
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bm/jq-3.6.0/dt-1.12.1/datatables.min.css" />
{% endblock css %}
{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Leaves
        </p>
        <p class="subtitle">
            List of all leaves taken
        </p>
    </div>
</section>
{% if user.is_superuser %}
<div class="section">
    <div class="columns">
        <div class="column is-two-thirds is-offset-2">
            <a href="{% url "leave_export" %}"><button class="button is-danger">Export</button></a>
            <div class="block mt-5">
                <table id="myTable" class="table">
                    <thead>
                        <tr>
                            <th>From</th>
                            <th>To</th>
                            <th>Approved?</th>
                            <th>Number of Days</th>
                            <th>Leave Type</th>
                            <th>Applied By</th>
                            <th>Applied On</th>
                            <th>Approved By</th>
                            <th>Approved On</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for leave in leaves %}
                        <a href={% url 'leave_list' %}>
                            <tr>
                                <td> {{leave.from_date}}</td>
                                <td> {{leave.to_date}}</td>
                                <td>
                                    {% if leave.approved is True %}
                                    <span class="tag is-success is-medium is-rounded"> Yes </span>
                                    {% elif leave.approved is False %}
                                    <span class="tag is-danger is-medium is-rounded"> No </span>
                                    {% else %}
                                    <span class="tag is-warning is-medium is-rounded"> Not yet </span>
                                    {% endif %}
                                </td>
                                <td> {{leave.days|floatformat}} </td>
                                <td>
                                    {% if leave.leave_type == "Casual" %}
                                    <span class="tag is-warning is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                    {% elif leave.leave_type == "Medical" %}
                                    <span class="tag is-danger is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                    {% elif leave.leave_type == "Compensation" %}
                                    <span class="tag is-success is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                    {% else %}
                                    <span class="tag is-info is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                    {% endif %}
                                </td>
                                <td> {{leave.applied_by.first_name}} {{leave.applied_by.last_name}}</td>
                                <td> {{leave.applied_at}}</td>
                                <td>
                                    {% if leave.approved_by %}
                                    {{leave.approved_by.first_name}} {{leave.approved_by.last_name}}
                                    {% else %}
                                    Not approved
                                    {% endif %}
                                </td>
                                <td>
                                    {% if leave.approved_at %}
                                    {{leave.approved_at}}
                                    {% else %}
                                    Not approved
                                    {% endif %}
                                </td>
                                <td>
                                    {% if leave.approved == False %}
                                    <form action={% url 'approve_leave' %} method="POST">
                                        {% csrf_token %}
                                        <input type="hidden" name="leave-id" value="{{leave.id}}">
                                        <button type="submit" class="button is-success is-small">Approve</button>
                                    </form>
                                    <a href="{% url 'leave_reject' id=leave.id %}">
                                        <button class="button is-small is-danger mt-1">Reject</button>
                                    </a>
                                    {% else %}
                                    No action needed
                                    {% endif %}
                                </td>
                            </tr>
                        </a>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
</div>
{% endif %}


{% endblock content %}
{% block javascript %}
<script type="text/javascript" src="{% static 'js/datatables.min.js"></script>
<script type="text/javascript" charset="utf8">
    $(document).ready(function() {
        $('#myTable').DataTable();
    });
</script>
{% endblock javascript %}